org.eclipse.viatra.cep.vepl.jvmmodel

## Enum FactoryMethodParameter

- java.lang.Object
- - java.lang.Enum<FactoryMethodParameter>
  - - org.eclipse.viatra.cep.vepl.jvmmodel.FactoryMethodParameter

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FactoryMethodParameter>

      public enum FactoryMethodParameter
      extends java.lang.Enum<FactoryMethodParameter>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EMPTY`
    `EVENTSOURCE`
    `NULL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLiteral()`
    `static FactoryMethodParameter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FactoryMethodParameter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EMPTY

          public static final FactoryMethodParameter EMPTY

    - #### NULL

          public static final FactoryMethodParameter NULL

    - #### EVENTSOURCE

          public static final FactoryMethodParameter EVENTSOURCE

  - ### Method Detail

    - #### values

          public static FactoryMethodParameter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FactoryMethodParameter c : FactoryMethodParameter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FactoryMethodParameter valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLiteral

          public java.lang.String getLiteral()